%define version 0.9.68

Summary: 	Mac-on-Linux kernel modules
Name: 		mol-kmods-benh
Version: 	%{version}
Release: 	3mdk
License: 	GPL
Group: 		Emulators
Source: 	ftp://ftp.nada.kth.se/home/f95-sry/Public/mac-on-linux/mol-kmods-%{version}.tar.bz2
Provides: 	mol-kernel-modules
URL:            http://www.maconlinux.com/
BuildRoot: 	%_tmppath/%name-%version-root
ExclusiveArch: 	ppc
Patch0:		mol-kmods-0.9.65_expand_stack.patch.bz2

%description

This package contains the Mac-on-Linux kernel module
needed by MOL. It also contains the sheep_net kernel
module (for networking).

%prep
%setup -q -n mol-kmods-%{version}
#%patch0 -p1

%build
export KHEADERS="/home/stew/rpm/BUILD/kernel-benh-2.4.20/include"
%configure --enable-fhs
make clean
make -C scripts all
[ -d "%kernel_trees" ] && make modules KERNEL_TREES=%kernel_trees || make modules

%install
make -C src/netdriver install DESTDIR=$RPM_BUILD_ROOT
make install-modules DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -e /dev/sheep_net ]; then
mknod /dev/sheep_net c 10 198
fi


%files
%defattr(-,root,root)
%_libdir/mol/%{version}/modules/

%changelog
* Wed Mar 19 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.68-3mdk
- for kernel-benh-9mdk

* Sat Mar 15 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.68-2mdk
- for kernel-benh-8mdk

* Mon Mar 10 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.68-1mdk
- new version, kernel-benh-6mdk

* Tue Mar  4 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.66-3mdk
- for kernel-benh-6mdk

* Tue Feb 18 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.66-2mdk
- for kernel-benh-5mdk

* Tue Feb 4 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.66-1mdk
- build up against kernel-benh-4mdk

